import { ReturnValue } from '../expectation/expectation';
import { ExpectationRepository } from '../expectation/repository/expectation-repository';
import { PendingExpectation } from '../when/pending-expectation';
import { Mock } from './mock';
/**
 * Return the expectation's return value.
 *
 * If the value is an error then throw it.
 *
 * If the value is a promise then resolve/reject it.
 */
export declare const returnOrThrow: ({ isError, isPromise, value }: ReturnValue) => any;
export declare const createStub: <T>(repo: ExpectationRepository, pendingExpectation: PendingExpectation, isRecording?: () => boolean) => T;
