import { BaseRepository, CountableExpectation } from './base-repository';
import { Property } from '../../proxy';
/**
 * Throw if no expectation matches.
 */
export declare class StrongRepository extends BaseRepository {
    protected consumeExpectation(expectation: CountableExpectation): void;
    protected getValueForUnexpectedCall(property: Property, args: any[]): never;
    protected getValueForUnexpectedAccess(property: Property): never;
}
