import { BaseRepository, CountableExpectation } from './base-repository';
import { Expectation } from '../expectation';
import { ExpectationRepository } from './expectation-repository';
/**
 * Always return something, even if no expectations match.
 *
 * WARNING: this is in development, do not use
 */
export declare class WeakRepository extends BaseRepository implements ExpectationRepository {
    private repeating;
    protected getValueForUnexpectedCall: () => null;
    protected getValueForUnexpectedAccess: () => {
        value: () => null;
    };
    protected consumeExpectation(expectation: CountableExpectation): void;
    add(expectation: Expectation): void;
}
