import { Expectation, ReturnValue } from './expectation/expectation';
import { Property } from './proxy';
export declare const printProperty: (property: Property) => string;
export declare const printArg: (arg: unknown) => string;
export declare const printCall: (property: Property, args: any[]) => string;
export declare const printReturns: ({ isError, isPromise, value }: ReturnValue, min: number, max: number) => string;
export declare const printWhen: (property: Property, args: any[] | undefined) => string;
export declare const printExpectation: (property: Property, args: any[] | undefined, returnValue: ReturnValue, min: number, max: number) => string;
export declare const printRemainingExpectations: (expectations: Expectation[]) => string;
